import 'dart:developer';

import 'package:flutter/material.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:softplayer_web/features/test/application/test_controller.dart';

class DashboardPage extends ConsumerStatefulWidget {
  const DashboardPage({super.key});

  @override
  ConsumerState<DashboardPage> createState() => _DashboardPage();
}

class _DashboardPage extends ConsumerState<DashboardPage> {
  bool debug = false;

  @override
  Widget build(BuildContext context) {
    final ctrl = ref.read(pingControllerProvider.notifier);
    log("test");
    return Container(
      color: Colors.black87,
      child: ElevatedButton(
        onPressed: () {
          ctrl.ping();
        },
        child: Text("pong"),
      ),
    );
  }
}
